using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business.CUSTOM_PDF.ConsulenzaUnica;
using Consulenza.ReportCommon;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica
{
    public class S70 : Entity.Chapter
    {
        /// <summary>
        /// S70.MonitoraggioAreaExtraRendimento IdCapitolo = 88
        /// </summary>
        public S70(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S70(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            //Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            var testi = GetText();

            var intestazione = new ChapterHeadingPDF(
               testi.Rows[0]["testo1"].ToString(),
               testi.Rows[0]["testo2"].ToString(),
                EnvironmentFacade.RendererFacade.XLeftLimit,
                EnvironmentFacade.RendererFacade.YUpperLimit,
                EnvironmentFacade.ReportEnvironment.FontFamily);

            // Aggiungo gli elementi
            AddElement(intestazione.ToElement());
        }
    }
}
